Package com.verisign.epp.codec.registry

## Class EPPRegistryContactName

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
  - - com.verisign.epp.codec.registry.EPPRegistryContactName

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryContactName
      extends EPPRegistryMinMaxLength

  Represents the minimum and maximum length of <contact:name> element defined RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
  See Also:
    `EPPRegistryPostal`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` | XML Element Name of `EPPRegistryContactName` root element.

    - ### Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength

      `ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH, elmMax, elmMin, max, min, rootName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryContactName()` | Creates a new EPPRegistryContactName object.
    `EPPRegistryContactName​(int min, int max)` | Creates a new EPPRegistryContactName object with min length and max length.
    `EPPRegistryContactName​(java.lang.Integer min, java.lang.Integer max)` | Creates a new EPPRegistryContactName object with min length and max length.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPRegistryContactName` compare.
    `protected void` | `validateState()` | Validate the state of the `EPPRegistryContactName` instance.

    - ### Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength

      `clone, decode, encode, getElmMax, getElmMin, getMax, getMin, getNamespace, getRootName, setElmMax, setElmMin, setMax, setMin, setRootName, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPRegistryContactName` root element.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryContactName

          public EPPRegistryContactName()

      Creates a new EPPRegistryContactName object.

    - #### EPPRegistryContactName

          public EPPRegistryContactName​(java.lang.Integer min,
                                        java.lang.Integer max)

      Creates a new EPPRegistryContactName object with min length and max length.
      Parameters:
        `min` - minimum length of the contact name
        `max` - maximum length of the contact name

    - #### EPPRegistryContactName

          public EPPRegistryContactName​(int min,
                                        int max)

      Creates a new EPPRegistryContactName object with min length and max length.
      Parameters:
        `min` - minimum length of the contact name
        `max` - maximum length of the contact name

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPRegistryContactName` compare.
      Overrides:
        `equals` in class `EPPRegistryMinMaxLength`
      Parameters:
        `aObject` - `EPPRegistryContactName` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### validateState

          protected void validateState()
                                throws EPPEncodeException

      Validate the state of the `EPPRegistryContactName` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the EPPCodecException will contain a description of the error. throws EPPCodecException State error. This will contain the name of the attribute that is not valid.
      Overrides:
        `validateState` in class `EPPRegistryMinMaxLength`
      Throws:
        `EPPEncodeException` - On invalid state